View Issue Details

IDProjectCategoryView StatusLast Update
0004320Slicer4Core: Base Codepublic2017-06-20 13:18
ReporterfedorovAssigned Tofedorov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionSlicer 4.7.0 
Summary0004320: Terminology support should be removed from Colors module
Description

It is superseded by the work done in Segmentations module

Additional Information

communication from Andras:

On Tue, Dec 20, 2016 at 8:36 PM, Andras Lasso <lasso@queensu.ca> wrote:

Hi guys,

I’ve enabled output checking on MRML logic tests and it caught
vtkMRMLColorLogicTest2 failure with these outputs:

Warning: In C:\D\S4\Libs\MRML\Logic\vtkMRMLColorLogic.cxx, line 1485

vtkMRMLTestColorLogic (00000222D6047240): 1485: ParseTerm: input string
doesn't start/end with parentheses M-01000;SRT;Morphologically Altered
Structure

Warning: In C:\D\S4\Libs\MRML\Logic\vtkMRMLColorLogic.cxx, line 1493

vtkMRMLTestColorLogic (00000222D6047240): 1493: ParseTerm: input string
doesn't have 2 semi colons (M-01000;SRT Morphologically Altered Structure)

Warning: In C:\D\S4\Libs\MRML\Logic\vtkMRMLColorLogic.cxx, line 1493

vtkMRMLTestColorLogic (00000222D6047240): 1493: ParseTerm: input string
doesn't have 2 semi colons (M-01000 SRT;Morphologically Altered Structure)

Warning: In C:\D\S4\Libs\MRML\Logic\vtkMRMLColorLogic.cxx, line 1493

vtkMRMLTestColorLogic (00000222D6047240): 1493: ParseTerm: input string
doesn't have 2 semi colons (M-01000 SRT Morphologically Altered Structure)

I’ve disabled output checking for this test, as my understanding is that
terminology will be removed from Color module. Is my understanding correct?

Is there a ticket somewhere to track this task?

Andras

TagsNo tags attached.

Activities

lassoan

lassoan

2017-06-16 14:33

developer   ~0014893

Pull request submitted: https://github.com/Slicer/Slicer/pull/737

lassoan

lassoan

2017-06-20 13:18

developer   ~0014909

Terminology support has been removed in r26105

Issue History

Date Modified Username Field Change
2016-12-20 22:53 fedorov New Issue
2016-12-20 22:53 fedorov Status new => assigned
2016-12-20 22:53 fedorov Assigned To => jcfr
2016-12-20 22:53 fedorov Assigned To jcfr => fedorov
2017-06-16 14:33 lassoan Note Added: 0014893
2017-06-20 13:18 lassoan Status assigned => resolved
2017-06-20 13:18 lassoan Resolution open => fixed
2017-06-20 13:18 lassoan Fixed in Version => Slicer 4.7.0
2017-06-20 13:18 lassoan Note Added: 0014909